diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/DatabasePanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/DatabasePanel.java
index 6cafe973691cbdf4fb08f507706f66b9168e3394..ec3c8657d02333b7fe8f6725616e7ea29fc15662 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/DatabasePanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/DatabasePanel.java
@@ -170,7 +170,8 @@ public class DatabasePanel extends WizardPanelBase {
         String secure = "false";
         String cloneStartTLS = "false";
         try {
-            String s = cs.getString("preop.database.removeData");
+            @SuppressWarnings("unused")
+            String s = cs.getString("preop.database.removeData"); // check whether it's first time
         } catch (Exception e) {
             context.put("firsttime", "true");
         }
@@ -276,7 +277,8 @@ public class DatabasePanel extends WizardPanelBase {
         IConfigStore cs = CMS.getConfigStore();
         context.put("firsttime", "false");
         try {
-            String s = cs.getString("preop.database.removeData");
+            @SuppressWarnings("unused")
+            String s = cs.getString("preop.database.removeData"); // check whether it's first time
         } catch (Exception e) {
             context.put("firsttime", "true");
         }
@@ -348,10 +350,8 @@ public class DatabasePanel extends WizardPanelBase {
         }
 
         if (portStr != null && portStr.length() > 0) {
-            int port = -1;
-
             try {
-                port = Integer.parseInt(portStr);
+                Integer.parseInt(portStr); // check for errors
             } catch (Exception e) {
                 cs.putString("preop.database.errorString", "Port is invalid");
                 context.put("updateStatus", "validate-failure");
@@ -872,25 +872,21 @@ public class DatabasePanel extends WizardPanelBase {
         IConfigStore cs = CMS.getConfigStore();
         boolean hasErr = false;
 
-        boolean firsttime = false;
         context.put("firsttime", "false");
         try {
-            String v = cs.getString("preop.database.removeData");
+            String s = cs.getString("preop.database.removeData"); // check whether it's first time
         } catch (Exception e) {
             context.put("firsttime", "true");
-            firsttime = true;
         }
 
         String hostname1 = "";
         String portStr1 = "";
         String database1 = "";
-        String basedn1 = "";
 
         try {
             hostname1 = cs.getString("internaldb.ldapconn.host", "");
             portStr1 = cs.getString("internaldb.ldapconn.port", "");
             database1 = cs.getString("internaldb.database", "");
-            basedn1 = cs.getString("internaldb.basedn", "");
         } catch (Exception e) {
         }
 
@@ -1258,7 +1254,7 @@ public class DatabasePanel extends WizardPanelBase {
             attrs.add(new LDAPAttribute("objectclass", "extensibleObject"));
             attrs.add(new LDAPAttribute("cn", "changelog5"));
             attrs.add(new LDAPAttribute("nsslapd-changelogdir", dir));
-            entry = new LDAPEntry("cn=changelog5,cn=config", attrs);
+            entry = new LDAPEntry(dn, attrs);
             conn.add(entry);
         } catch (LDAPException e) {
             if (e.getLDAPResultCode() == LDAPException.ENTRY_ALREADY_EXISTS) {
@@ -1452,7 +1448,6 @@ public class DatabasePanel extends WizardPanelBase {
         String dn = "cn=" + name + "," + replicadn;
         String filter = "(objectclass=*)";
         String[] attrs = { "nsds5replicalastinitstatus" };
-        String status = null;
 
         CMS.debug("DatabasePanel replicationStatus: dn: " + dn);
         try {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java
index ffadf58842bb97b3f7d25d4e3582a7d421d945a0..174af72c9cd64c64111704cef75e0f29d586f9a0 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java
@@ -368,6 +368,7 @@ public class DonePanel extends WizardPanelBase {
             try {
                 // Fetch the "new" security domain and display it
                 CMS.debug("Dump contents of new Security Domain . . .");
+                @SuppressWarnings("unused")
                 String c = getDomainXML(sd_host, sd_admin_port_int, true);
             } catch (Exception e) {
             }
@@ -422,6 +423,7 @@ public class DonePanel extends WizardPanelBase {
 
                 // Fetch the "updated" security domain and display it
                 CMS.debug("Dump contents of updated Security Domain . . .");
+                @SuppressWarnings("unused")
                 String c = getDomainXML(sd_host, sd_admin_port_int, true);
             } catch (Exception e) {
                 context.put("errorString", "Failed to update the security domain on the domain master.");
@@ -471,12 +473,8 @@ public class DonePanel extends WizardPanelBase {
 
         if (!select.equals("clone")) {
             if (type.equals("CA") || type.equals("KRA")) {
-                String beginRequestNumStr = "";
                 String endRequestNumStr = "";
-                String beginSerialNumStr = "";
                 String endSerialNumStr = "";
-                String requestIncStr = "";
-                String serialIncStr = "";
 
                 try {
                     endRequestNumStr = cs.getString("dbs.endRequestNumber", "");
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetCertChain.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetCertChain.java
index 6c286e818ec129c35310aea9277e44b1533036b6..02fbd7643acb48f413b1f0718115d3ced50bdeee 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetCertChain.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetCertChain.java
@@ -71,11 +71,8 @@ public class GetCertChain extends CMSServlet {
      * @param cmsReq the object holding the request and response information
      */
     protected void process(CMSRequest cmsReq) throws EBaseException {
-        HttpServletRequest httpReq = cmsReq.getHttpReq();
         HttpServletResponse httpResp = cmsReq.getHttpResp();
 
-        String outputString = null;
-
         CertificateChain certChain = ((ICertAuthority) mAuthority).getCACertChain();
 
         if (certChain == null) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetConfigEntries.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetConfigEntries.java
index c9a900a0bedb0099c4715b19713b4e6f2acd0fec..f1a35bac5fb95a3d17de2dd4fa71e1907da478dd 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetConfigEntries.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetConfigEntries.java
@@ -77,7 +77,6 @@ public class GetConfigEntries extends CMSServlet {
      * @param cmsReq the object holding the request and response information
      */
     protected void process(CMSRequest cmsReq) throws EBaseException {
-        HttpServletRequest httpReq = cmsReq.getHttpReq();
         HttpServletResponse httpResp = cmsReq.getHttpResp();
 
         IAuthToken authToken = null;
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java
index 2c9cc41f076072e7269fa4394a15d63db6f41579..8575658ea18bcc67d6059cbbd7694a0be02aced8 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java
@@ -233,7 +233,6 @@ public class GetCookie extends CMSServlet {
                 }
 
                 try {
-                    String sd_url = "https://" + CMS.getEESSLHost() + ":" + CMS.getEESSLPort();
                     if (!url.startsWith("$")) {
                         try {
                             form = getTemplate(mFormPath, httpReq, locale);
@@ -250,7 +249,6 @@ public class GetCookie extends CMSServlet {
                         header.addStringValue("url", url);
                         header.addStringValue("session_id", cookie);
 
-                        EBaseException error = null;
                         try {
                             ServletOutputStream out = httpResp.getOutputStream();
 
@@ -278,7 +276,6 @@ public class GetCookie extends CMSServlet {
     }
 
     private String getGroupName(String uid, String subsystemname) {
-        String groupname = "";
         IUGSubsystem subsystem =
                 (IUGSubsystem) (CMS.getSubsystem(IUGSubsystem.ID));
         if (subsystem.isMemberOf(uid, "Enterprise CA Administrators") &&
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetDomainXML.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetDomainXML.java
index 45c5192aa5571626b8653b9d720d35174151e7b1..999f13815b2156f3da7e099398d0a793cff09025 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetDomainXML.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetDomainXML.java
@@ -23,7 +23,6 @@ import java.util.Enumeration;
 import java.util.Locale;
 
 import javax.servlet.ServletConfig;
-import javax.servlet.ServletContext;
 import javax.servlet.ServletException;
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
@@ -83,9 +82,7 @@ public class GetDomainXML extends CMSServlet {
     protected void process(CMSRequest cmsReq) throws EBaseException {
         CMS.debug("GetDomainXML: processing...");
 
-        HttpServletRequest httpReq = cmsReq.getHttpReq();
         HttpServletResponse httpResp = cmsReq.getHttpResp();
-        ServletContext context = cmsReq.getServletContext();
 
         String status = SUCCESS;
         String basedn = null;
@@ -108,7 +105,6 @@ public class GetDomainXML extends CMSServlet {
                 LDAPConnection conn = null;
                 try {
                     // get data from ldap
-                    String[] entries = {};
                     String filter = "objectclass=pkiSecurityGroup";
                     LDAPSearchConstraints cons = null;
                     String[] attrs = null;
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetStatus.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetStatus.java
index 28279f04a505e6f75aa2ef4ba49fe9cb68fd891e..4dc6f0ff66ecaee0164a2b0b0458fdb17e689a37 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetStatus.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetStatus.java
@@ -63,12 +63,9 @@ public class GetStatus extends CMSServlet {
      * @param cmsReq the object holding the request and response information
      */
     protected void process(CMSRequest cmsReq) throws EBaseException {
-        HttpServletRequest httpReq = cmsReq.getHttpReq();
         HttpServletResponse httpResp = cmsReq.getHttpResp();
         IConfigStore config = CMS.getConfigStore();
 
-        String outputString = null;
-
         String state = config.getString("cs.state", "");
         String type = config.getString("cs.type", "");
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetSubsystemCert.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetSubsystemCert.java
index 7beda66209a6cd9a12935b6e19c488a070e5c29e..288cfad602417d41ff4032b9ae516aaf455d8bb9 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetSubsystemCert.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetSubsystemCert.java
@@ -64,11 +64,8 @@ public class GetSubsystemCert extends CMSServlet {
      * Process the HTTP request.
      */
     protected void process(CMSRequest cmsReq) throws EBaseException {
-        HttpServletRequest httpReq = cmsReq.getHttpReq();
         HttpServletResponse httpResp = cmsReq.getHttpResp();
 
-        String outputString = null;
-
         IConfigStore cs = CMS.getConfigStore();
         String nickname = "";
         try {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetTransportCert.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetTransportCert.java
index ae55d2fb8be13b9a56a8b38a93b11f7683bc2a11..87a1788d65045b66fd417617dea4df851b20322b 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetTransportCert.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetTransportCert.java
@@ -33,7 +33,6 @@ import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
-import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.security.ITransportKeyUnit;
@@ -77,7 +76,6 @@ public class GetTransportCert extends CMSServlet {
     protected void process(CMSRequest cmsReq) throws EBaseException {
         CMS.debug("UpdateUpdater: processing...");
 
-        HttpServletRequest httpReq = cmsReq.getHttpReq();
         HttpServletResponse httpResp = cmsReq.getHttpResp();
 
         IAuthToken authToken = null;
@@ -122,8 +120,6 @@ public class GetTransportCert extends CMSServlet {
             return;
         }
 
-        IConfigStore cs = CMS.getConfigStore();
-
         IKeyRecoveryAuthority kra =
                 (IKeyRecoveryAuthority) mAuthority;
         ITransportKeyUnit tu = kra.getTransportKeyUnit();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/ImportCAChainPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/ImportCAChainPanel.java
index a26b2dc2cf6fa9ecfd089ca28f36238cd87f7b0d..d0ccb58e9b0113d3a7b800dfdec410f0e61996f7 100755
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/ImportCAChainPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/ImportCAChainPanel.java
@@ -117,7 +117,6 @@ public class ImportCAChainPanel extends WizardPanelBase {
     public void update(HttpServletRequest request,
             HttpServletResponse response,
             Context context) throws IOException {
-        IConfigStore cs = CMS.getConfigStore();
 
         context.put("errorString", "");
         context.put("title", "Import CA's Certificate Chain");
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/MainPageServlet.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/MainPageServlet.java
index 760faed4e51210839507e2998e375a3cd4a954fe..1d833ca9ba0eeeade0e23249810bf30f1243fe8b 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/MainPageServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/MainPageServlet.java
@@ -84,7 +84,6 @@ public class MainPageServlet extends CMSServlet {
 
         process(argSet, header, ctx, request, response);
 
-        EBaseException error = null;
         try {
             ServletOutputStream out = response.getOutputStream();
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/NamePanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/NamePanel.java
index da721b29cc944a753146989104be49696c6b3a64..f0447170efbe6f4728c6640b40e6b5ef51f44a31 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/NamePanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/NamePanel.java
@@ -17,7 +17,6 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cms.servlet.csadmin;
 
-import java.io.File;
 import java.io.FileOutputStream;
 import java.io.IOException;
 import java.io.PrintStream;
@@ -109,7 +108,8 @@ public class NamePanel extends WizardPanelBase {
     public void cleanUp() throws IOException {
         IConfigStore cs = CMS.getConfigStore();
         try {
-            boolean done = cs.getBoolean("preop.NamePanel.done");
+            @SuppressWarnings("unused")
+            boolean done = cs.getBoolean("preop.NamePanel.done"); // check for errors
             cs.putBoolean("preop.NamePanel.done", false);
             cs.commit(false);
         } catch (Exception e) {
@@ -253,7 +253,8 @@ public class NamePanel extends WizardPanelBase {
                 }
 
                 try {
-                    boolean done = config.getBoolean("preop.NamePanel.done");
+                    @SuppressWarnings("unused")
+                    boolean done = config.getBoolean("preop.NamePanel.done"); // check for errors
                     c.setDN(dn);
                 } catch (Exception e) {
                     String instanceId = config.getString("service.instanceID", "");
@@ -417,7 +418,6 @@ public class NamePanel extends WizardPanelBase {
             if (!token.equals("Internal Key Storage Token")) {
                 serverCertNickname = token + ":" + nickname;
             }
-            File file = new File(path + "/conf/serverCertNick.conf");
             PrintStream ps = new PrintStream(new FileOutputStream(path + "/conf/serverCertNick.conf"));
             ps.println(serverCertNickname);
             ps.close();
@@ -914,10 +914,8 @@ public class NamePanel extends WizardPanelBase {
                                                        httpsPortStr,
                                                        "CA");
 
-        int httpsport = -1;
-
         try {
-            httpsport = Integer.parseInt(httpsPortStr);
+            Integer.parseInt(httpsPortStr); // check for errors
         } catch (Exception e) {
             CMS.debug(
                     "NamePanel update: Https port is not valid. Exception: "
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/RegisterUser.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/RegisterUser.java
index d1c2b6bfb7e60f4a088e7c3b6e7c6026e44817d7..1a621d53d679d93c7c97f03b3648c7390f663ff8 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/RegisterUser.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/RegisterUser.java
@@ -36,7 +36,6 @@ import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
-import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.usrgrp.ICertUserLocator;
 import com.netscape.certsrv.usrgrp.IGroup;
@@ -137,8 +136,6 @@ public class RegisterUser extends CMSServlet {
             return;
         }
 
-        IConfigStore cs = CMS.getConfigStore();
-
         // create user and add certificate
         String uid = httpReq.getParameter("uid");
         String name = httpReq.getParameter("name");
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/RestoreKeyCertPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/RestoreKeyCertPanel.java
index 0ae5507070790e439dbeb97d4a4f6895e1eb9fbb..80a887fd2d09fdb09bf988df55912678d8a56379 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/RestoreKeyCertPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/RestoreKeyCertPanel.java
@@ -122,7 +122,8 @@ public class RestoreKeyCertPanel extends WizardPanelBase {
         IConfigStore cs = CMS.getConfigStore();
         /* clean up if necessary */
         try {
-            boolean done = cs.getBoolean("preop.restorekeycert.done");
+            @SuppressWarnings("unused")
+            boolean done = cs.getBoolean("preop.restorekeycert.done"); // check for errors
             cs.putBoolean("preop.restorekeycert.done", false);
             cs.commit(false);
         } catch (Exception e) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/SecurityDomainPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/SecurityDomainPanel.java
index 7e45f019c4a5c13b48784f8482bc97fa91b18531..f3a4169e8ca43c3744e50fec6a0a73e0e8ff9788 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/SecurityDomainPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/SecurityDomainPanel.java
@@ -96,13 +96,11 @@ public class SecurityDomainPanel extends WizardPanelBase {
         String errorString = "";
         String default_admin_url = "";
         String name = "";
-        String cstype = "";
         String systemdService = "";
 
         try {
             default_admin_url = config.getString("preop.securitydomain.admin_url", "");
             name = config.getString("preop.securitydomain.name", "");
-            cstype = config.getString("cs.type", "");
             systemdService = config.getString("pkicreate.systemd.servicename", "");
         } catch (Exception e) {
             CMS.debug(e.toString());
@@ -364,12 +362,6 @@ public class SecurityDomainPanel extends WizardPanelBase {
             } catch (EBaseException e) {
             }
 
-            String instanceRoot = "";
-            try {
-                instanceRoot = config.getString("instanceRoot", "");
-            } catch (Exception e) {
-            }
-
         } else if (select.equals("existingdomain")) {
             config.putString("preop.securitydomain.select", "existing");
             config.putString("securitydomain.select", "existing");
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/SizePanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/SizePanel.java
index c915d9e85945f3f9f97997fd1c8c36ffa128c8e0..03f0e186d3a9d437e9715b65025a59bb38adeaba 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/SizePanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/SizePanel.java
@@ -92,7 +92,8 @@ public class SizePanel extends WizardPanelBase {
         IConfigStore cs = CMS.getConfigStore();
         /* clean up if necessary*/
         try {
-            boolean done = cs.getBoolean("preop.SizePanel.done");
+            @SuppressWarnings("unused")
+            boolean done = cs.getBoolean("preop.SizePanel.done"); // check for errors
             cs.putBoolean("preop.SizePanel.done", false);
             cs.commit(false);
         } catch (Exception e) {
@@ -132,7 +133,8 @@ public class SizePanel extends WizardPanelBase {
 
         IConfigStore config = CMS.getConfigStore();
         try {
-            boolean done = config.getBoolean("preop.SizePanel.done");
+            @SuppressWarnings("unused")
+            boolean done = config.getBoolean("preop.SizePanel.done"); // check whether it's first time
         } catch (Exception e) {
             context.put("firsttime", "true");
         }
@@ -233,9 +235,9 @@ public class SizePanel extends WizardPanelBase {
         }
 
         context.put("firsttime", "false");
-        boolean done = false;
         try {
-            done = config.getBoolean("preop.SizePanel.done");
+            @SuppressWarnings("unused")
+            boolean done = config.getBoolean("preop.SizePanel.done"); // check whether it's first time
         } catch (Exception e) {
             context.put("firsttime", "true");
             if (select1.equals("clone")) {
@@ -429,7 +431,6 @@ public class SizePanel extends WizardPanelBase {
 
             try {
                 String keytype = config.getString(PCERT_PREFIX + ct + ".keytype");
-                String keyalgorithm = config.getString(PCERT_PREFIX + ct + ".keyalgorithm");
 
                 if (keytype.equals("rsa")) {
                     int keysize = config.getInteger(
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/UpdateDomainXML.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/UpdateDomainXML.java
index 0476e26d72baa37c8fb2d66eaabaa9e02b0dafff..a2b6ebc726307d67f11334d1cbafb71d584f17d8 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/UpdateDomainXML.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/UpdateDomainXML.java
@@ -314,8 +314,6 @@ public class UpdateDomainXML extends CMSServlet {
             // update in ldap
 
             LDAPEntry entry = null;
-            ILdapConnFactory connFactory = null;
-            LDAPConnection conn = null;
             String listName = type + "List";
             String cn = host + ":";
 
@@ -432,13 +430,13 @@ public class UpdateDomainXML extends CMSServlet {
 
                     for (int i = 0; i < len; i++) {
                         Node nn = (Node) nodeList.item(i);
-                        Vector v_name = parser.getValuesFromContainer(nn, "SubsystemName");
-                        Vector v_host = parser.getValuesFromContainer(nn, "Host");
-                        Vector v_adminport = parser.getValuesFromContainer(nn, "SecureAdminPort");
+                        Vector<String> v_name = parser.getValuesFromContainer(nn, "SubsystemName");
+                        Vector<String> v_host = parser.getValuesFromContainer(nn, "Host");
+                        Vector<String> v_adminport = parser.getValuesFromContainer(nn, "SecureAdminPort");
                         if ((v_name.elementAt(0).equals(name)) && (v_host.elementAt(0).equals(host))
                                 && (v_adminport.elementAt(0).equals(adminsport))) {
                             Node parent = nn.getParentNode();
-                            Node remNode = parent.removeChild(nn);
+                            parent.removeChild(nn);
                             count--;
                             break;
                         }
@@ -480,7 +478,7 @@ public class UpdateDomainXML extends CMSServlet {
                 } catch (Exception ee) {
                 }
 
-                Node nn2 = n.removeChild(countnode);
+                n.removeChild(countnode);
                 parser.addItemToContainer(n, "SubsystemCount", "" + count);
 
                 // recreate domain.xml
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/WizardPanelBase.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/WizardPanelBase.java
index a56230c2ff0c254dda9e8823edafa826da011b69..40190c9a75138163b7633e7669acb740a7ad64e0 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/WizardPanelBase.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/WizardPanelBase.java
@@ -1088,18 +1088,6 @@ public class WizardPanelBase implements IWizardPanel {
 
             CMS.debug("Getting domain.xml from CA...");
             String c = getDomainXML(hostname, httpsadminport, true);
-            String list = "";
-
-            CMS.debug("Subsystem Type " + type);
-            if (type.equals("CA")) {
-                list = "CAList";
-            } else if (type.equals("KRA")) {
-                list = "KRAList";
-            } else if (type.equals("OCSP")) {
-                list = "OCSPList";
-            } else if (type.equals("TKS")) {
-                list = "TKSList";
-            }
 
             CMS.debug("Getting " + portType + " from Security Domain ...");
             if (!portType.equals("UnSecurePort") &&
diff --git a/pki/base/common/src/com/netscape/cms/servlet/ocsp/AddCAServlet.java b/pki/base/common/src/com/netscape/cms/servlet/ocsp/AddCAServlet.java
index 52efb14511b41c3bfefe1eeded5ec5fd7fc733d8..1ef6808534d20c7155ae5128812ccae8ba4ddb15 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/ocsp/AddCAServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/ocsp/AddCAServlet.java
@@ -291,7 +291,6 @@ public class AddCAServlet extends CMSServlet {
 
         try {
             ServletOutputStream out = resp.getOutputStream();
-            String error = null;
 
             String xmlOutput = req.getParameter("xml");
             if (xmlOutput != null && xmlOutput.equals("true")) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/ocsp/CheckCertServlet.java b/pki/base/common/src/com/netscape/cms/servlet/ocsp/CheckCertServlet.java
index 8d2c5a28b476d2dc9a76f590b3a533a281232073..dfe796366912242e2feb853b89497b34d5b24c2c 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/ocsp/CheckCertServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/ocsp/CheckCertServlet.java
@@ -197,7 +197,6 @@ public class CheckCertServlet extends CMSServlet {
 
         try {
             ServletOutputStream out = resp.getOutputStream();
-            String error = null;
 
             String xmlOutput = req.getParameter("xml");
             if (xmlOutput != null && xmlOutput.equals("true")) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java b/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
index 9ca7a8a189cd69ac9a3a64fca866f2ccf106bcbe..a93512ccd60abd5806a7e7d90e6c124393a76690 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
@@ -179,7 +179,6 @@ public class ListCAServlet extends CMSServlet {
 
         try {
             ServletOutputStream out = resp.getOutputStream();
-            String error = null;
 
             String xmlOutput = req.getParameter("xml");
             if (xmlOutput != null && xmlOutput.equals("true")) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/ocsp/RemoveCAServlet.java b/pki/base/common/src/com/netscape/cms/servlet/ocsp/RemoveCAServlet.java
index ab92a7c67a88ec426d15a2f11297c63f0135b362..4262940d0a8a9563d2ec9b03c3a7ae0c36e4c2dc 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/ocsp/RemoveCAServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/ocsp/RemoveCAServlet.java
@@ -104,8 +104,6 @@ public class RemoveCAServlet extends CMSServlet {
         HttpServletResponse resp = cmsReq.getHttpResp();
         String auditMessage = null;
         String auditSubjectID = auditSubjectID();
-        String auditCA = ILogger.SIGNED_AUDIT_EMPTY_VALUE;
-        String auditCASubjectDN = ILogger.SIGNED_AUDIT_EMPTY_VALUE;
 
         IAuthToken authToken = authenticate(cmsReq);
 
@@ -197,7 +195,6 @@ public class RemoveCAServlet extends CMSServlet {
 
         try {
             ServletOutputStream out = resp.getOutputStream();
-            String error = null;
 
             String xmlOutput = req.getParameter("xml");
             if (xmlOutput != null && xmlOutput.equals("true")) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/processors/PKIProcessor.java b/pki/base/common/src/com/netscape/cms/servlet/processors/PKIProcessor.java
index df7b0c3d1573218d02718f3d11367262a52e80e2..5b78bb42a2c34d37fee705346165d6f4ae59b818 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/processors/PKIProcessor.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/processors/PKIProcessor.java
@@ -77,8 +77,6 @@ public class PKIProcessor implements IPKIProcessor {
 
         mServletId = servlet.getId();
 
-        HttpServletRequest httpReq = mRequest.getHttpReq();
-
     }
 
     public void process(CMSRequest cmsReq)
